The signed-in member
GET
/me
const url = 'https://api.tradeops.cc/v1/me';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.tradeops.cc/v1/me \ --header 'Authorization: Bearer <token>'Returns the member behind the token and the organisations they can work in.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”fields[users]
Array<string>
Responses
Section titled “Responses”UserResource
Media typeapplication/vnd.api+json
object
data
required
UserResource
object
id
required
string
type
required
string
attributes
object
name
string
email
string | null
phone
string | null
avatar
string | null
two_factor_enabled
boolean
teams
The organisations the member can work in. Use slug as the team in team routes.
Array<object>
object
slug
required
string
name
required
string
role
required
string
timezone
required
string
logo_url
required
string | null
Example
{ "data": { "type": "users", "attributes": { "teams": [ { "role": "owner" } ] } }}Unauthenticated
Media typeapplication/json
object
message
required
Error overview.
string
Example generated
{ "message": "example"}Too many requests. Wait for Retry-After seconds before trying again.
Media typeapplication/json
object
message
required
string
Example generated
{ "message": "example"}Headers
Section titled “Headers”Retry-After
integer
Seconds until you can try again.